Subject: [Pce] FW: New Version Notification for draft-chen-pce-pcep-ifit-00.txt

From: Giuseppe Fioccola <[email-masked]>
Date: Fri, 28 Aug 2020 10:52:51 +0000

Dear All,
We have just updated draft-chen-pce-sr-policy-ifit and renamed to draft-chen-pce-pcep-ifit. 
The draft has deeply changed because, as discussed in mailing list, the PCEP extension is now applied as TLVs to the LSP Attributes and not to the Association Groups.
In addition, the PCEP extensions for IFIT are now general and the LSPA TLVs are applicable for all path types, of course if the IFIT methods (IOAM and Alternate Marking) are supported by the data plane. So the application to SR policy is now mentioned as use case.

Feedbacks and suggestions are always welcome.

Best Regards,

Giuseppe

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, August 28, 2020 12:27 PM
To: Huanan Chen <[email-masked]>; Tianran Zhou <[email-masked]>; Liweidong (Poly) <[email-masked]>; Hang Yuan <[email-masked]>; Giuseppe Fioccola <[email-masked]>; wangyali <[email-masked]>
Subject: New Version Notification for draft-chen-pce-pcep-ifit-00.txt

A new version of I-D, draft-chen-pce-pcep-ifit-00.txt has been successfully submitted by Giuseppe Fioccola and posted to the IETF repository.

Name:		draft-chen-pce-pcep-ifit
Revision:	00
Title:		Path Computation Element Communication Protocol (PCEP) Extensions to Enable IFIT
Document date:	2020-08-28
Group:		Individual Submission
Pages:		17
URL:            https://www.ietf.org/internet-drafts/draft-chen-pce-pcep-ifit-00.txt
Status:         https://datatracker.ietf.org/doc/draft-chen-pce-pcep-ifit/
Htmlized:       https://tools.ietf.org/html/draft-chen-pce-pcep-ifit-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-chen-pce-pcep-ifit

Abstract:
   This document defines PCEP extensions to distribute In-situ Flow
   Information Telemetry (IFIT) information.  So that IFIT behavior can
   be enabled automatically when the path is instantiated.  In-situ Flow
   Information Telemetry (IFIT) refers to network OAM data plane on-path
   telemetry techniques, in particular the most popular are In-situ OAM
   (IOAM) and Alternate Marking.  The IFIT attributes here described can
   be generalized for all path types but the application to Segment
   Routing (SR) is considered in this document.  The SR policy is a set
   of candidate SR paths consisting of one or more segment lists and
   necessary path attributes.  It enables instantiation of an ordered
   list of segments with a specific intent for traffic steering.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 28 Aug 2020 20:44:26 +0530

Hi Giuseppe,

Thank you for handling my comments, much appreciated!

Just a few more suggestions for improvement...

* Section 1
   RFC 8231 [RFC8231] specifies extensions to PCEP to enable stateful
   control and it describes two modes of operation: passive stateful PCE
   and active stateful PCE.  Further, RFC 8281 [RFC8281] describes the
   setup, maintenance, and teardown of PCE-initiated LSPs for the
   stateful PCE model, while RFC 8733 [RFC8733] is focused on the active
   stateful PCE, where the LSPs are controlled by the PCE.

Not sure why reference RFC 8733. Just remove it and maybe end the
sentence before it.

* Section 2
   The IFIT attributes here described can be generalized and included as
   TLVs carried inside the LSPA (LSP Attributes) object in order to be
   applied for all path types, as long as they support the relevant data
   plane telemetry method.  IFIT TLVs are o ptional and can be taken
   into account by the PCE during path computation.  In general, the
   LSPA object is carried within a PCInitiate message or a PCRpt
   message.

Few changes in the last 2 sentences -

IFIT TLVs are optional and can be taken into account by the PCE during
path computation and by the PCC during path setup.  In general, the
LSPA object can be carried within a PCInitiate message, a PCUpd
message, or a PCRpt message in the stateful PCE model.

* Section 3

   A PCEP speaker includes the IFIT TLVs in the OPEN object to advertise
   its support for PCEP IFIT extensions.

Make sure it is called IFIT Capability TLV to differentiate with other
IFIT Attributes TLVs. Basically don't use just the "IFIT TLVs"
anywhere in the document.

   Length: The Length field defines the length of the value portion in
   bytes as per RFC 5440 [RFC5440].

Length is a fixed value of 4. (and mention the length for sub-TLVs
later on as well instead of the above generic description)

* Section 5.1
OLD:
   For single candidate-path, PCE sends PCInitiate message,
   containing the SRPAG Association object
   ([I-D.ietf-pce-segment-routing-policy-cp]) and IFIT-ATTRIBUTES via
   LSPA TLVs.
NEW:
   For single candidate-path, PCE sends PCInitiate message,
   containing the SRPAG Association object
   ([I-D.ietf-pce-segment-routing-policy-cp]) and IFIT-ATTRIBUTES TLV via
   the LSPA object.
END

* Section 6
6-65535   Unassigned/Experimental Use         This document

You should mark the above as Unassigned and add a table for the
different registration policies

  0-65503           IETF Review
  65504-65535   Experimental Use

Nits
- Expand OAM
- Update Requirements Language to include RFC8174
- Remove the last 2 sentences about SR Policy from the abstract and
maybe add "This document extends PCEP to carry the IFIT attributes
under the stateful PCE model."

Thanks!
Dhruv

On Fri, Aug 28, 2020 at 4:23 PM Giuseppe Fioccola
<[email-masked]> wrote:
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce

---

From: Giuseppe Fioccola <[email-masked]>
Date: Fri, 28 Aug 2020 15:43:18 +0000

Hi Dhruv,
Thanks a lot for the quick review and the precious inputs.
I will address your comments in a new revision. You can find inline my answers tagged as [GF].

Regards,

Giuseppe

-----Original Message-----
From: Dhruv Dhody [mailto:[email-masked]] 
Sent: Friday, August 28, 2020 5:14 PM
To: Giuseppe Fioccola <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Pce] FW: New Version Notification for draft-chen-pce-pcep-ifit-00.txt

Hi Giuseppe,

* Section 1

Not sure why reference RFC 8733. Just remove it and maybe end the sentence before it.

[GF]: Agree. Will do.

* Section 2

IFIT TLVs are optional and can be taken into account by the PCE during path computation and by the PCC during path setup.  In general, the LSPA object can be carried within a PCInitiate message, a PCUpd message, or a PCRpt message in the stateful PCE model.

[GF]: Will do.

* Section 3

Make sure it is called IFIT Capability TLV to differentiate with other IFIT Attributes TLVs. Basically don't use just the "IFIT TLVs"
anywhere in the document.

[GF]: Right. I will double-check the text to use the correct denomination.

Length is a fixed value of 4. (and mention the length for sub-TLVs later on as well instead of the above generic description)

[GF]: It was my oversight. I will modify the different Sub-TLVs definitions and insert the real length instead of the generic definition.

* Section 5.1
OLD:

[GF]: Will do.

* Section 6

You should mark the above as Unassigned and add a table for the different registration policies

  0-65503           IETF Review

[GF]: Sure. I will modify accordingly.

Nits
- Expand OAM
- Update Requirements Language to include RFC8174
- Remove the last 2 sentences about SR Policy from the abstract and maybe add "This document extends PCEP to carry the IFIT attributes under the stateful PCE model."

[GF]: Ok

Thanks!
Dhruv

On Fri, Aug 28, 2020 at 4:23 PM Giuseppe Fioccola <[email-masked]> wrote:
> To: Huanan Chen <[email-masked]>; Tianran Zhou 
> <[email-masked]>; Liweidong (Poly) <[email-masked]>; Hang 
> Yuan <[email-masked]>; Giuseppe Fioccola 
> <[email-masked]>; wangyali <[email-masked]>